﻿body {

}

.compliantTag {
    color: #9ff3c3 !important;
    background-color: #000000a2;
    border: none;
}

.nonCompliantTag {
    color: #f44242 !important;
    background-color: #000000a2;
    border: none;
}

.col_link {
    fill: #FF7714;
}
.col_anchor {
    fill: #FFFFFF;
}

.col_transparent {
    fill: transparent;
}
.col_unknown {
    fill: #4C68BF;
}
.col_stylesheet {
    fill: #b92069;    //#F1D255;
}
.col_xmlhttprequest {
    fill: #C4AEF6;
}
.col_ping {
    fill: #9FF3C3;
}
.col_script {
    fill: #52ceee;//#ff7714;
}
.col_image {
    fill: #7fffff;
}
.col_font {
    fill: #9d4a9d;//#87D3EB;
}
.col_sub_frame {
    fill: #fff891;//#E8EE8B;
}
.col_redirected {
    fill: #B24843;
}
.col_media {
    fill: #DAA0D7;
}
.col_main_frame {
    fill: white;
}
.col_bounce_tracker {
    fill: white;
}
.col_parent {
    fill: white;
}

.col_cookie {
    fill: #FFFFFF;
}
.col_sessionstorage {
    fill: #ff3ef0;//#58a7a5;
}
.col_localstorage {
    fill: #5cfe34;
}
.col_indexedstorage {
    fill: #6e56fc;
}

    .redirect-div > a:nth-child(5n+1) {
        background-color: #C4AEF6;
    }

    .redirect-div > a:nth-child(5n+2) {
        background-color: #60BDBD;
    }

    .redirect-div > a:nth-child(5n+3) {
        background-color: #9FF3C3;
    }

    .redirect-div > a:nth-child(5n+4) {
        background-color: #fff891;
    }

    .redirect-div > a:nth-child(5n+5) {
        background-color: #52ceee;
    }


.expanded {
    max-height: 700px !important;
    transition: max-height 0.4s ease-in-out;
}

.contentOuter {
    max-height: 0;
    transition: max-height 0.4s ease-in-out;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}
.blink {
    animation: blinkAnim 1s infinite;
}
@keyframes blinkAnim {
    0%, 100% {
        opacity: 1;
        stroke-width: 5px;
    }
    /* Fully visible */
    50% {
        opacity: 0;
        stroke-width: 0px;
    }
    /* Invisible at midpoint */
}


.popupWindow {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 99999;
    width: 100%;
    max-width: 600px;
    padding: 1rem;
    color: white;
    background-color: #000000f1;
    border-radius: 0.5rem;
    border-style: solid;
    border-color: #3e3e3e;
    border-width: 1px;
    backdrop-filter: blur(4px);
    visibility: hidden;
    max-height: calc(100vh - 20px);
    overflow: auto;
}

.detailList
{

}

.detailListCaption {
    font-size: 1.2em;
    color: #f44242;
    margin-top: 10px;
}

.old-popupWindow {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 99999;
    width: 100%;
    max-width: 600px;
    background-color: white;
    border-radius: 0.5rem;
    visibility: hidden;
    max-height: calc(100vh - 20px);
    overflow: auto;
}

.leftTop {
    margin: 0;
    padding: 1rem;
    color: white;
    position: absolute;
    top: 10px;
    left: 10px;
    overflow: hidden;
    max-width: calc(100vw - 20px);
    max-height: calc(100vh - 20px);
    background-color: #000000f1;
    border-radius: 0.5rem;
    border-style: solid;
    border-color: #3e3e3e;
    border-width: 1px;
    backdrop-filter: blur(4px);
    display: flex;
    flex-direction: column;
}

.titleBar {
    padding: 1rem;
    font-size: 1.5rem;
    border-style: solid;
    border-width: 0 0 1px 0;
    border-color: #dee2e6;
    background-color: #777770a0;
}

.windowContent {
    padding: 1rem;
}

.purposeDiv {
    max-height: 150px;
    overflow: auto;
    margin-bottom: 0;
}

.detailPopupTitle {
/*    color: #1a049d;*/
    color:white;
}

.detailPopupTable > tbody > tr > th {
    color: #594baa;
}

.detailPopupTable > tbody > tr > td {
    color: #f47605;
}

.json-key {
    color: brown;
}

.json-value {
    color: navy;
}

.json-string {
    color: olive;
}

.key text {
    pointer-events: none;
    font: 15px arial;
    stroke: white;
    fill: white;
    stroke-width: 0px;
}
.node {
    stroke: #fff;
    stroke-width: 0px;
    cursor: pointer;
}

.link {
    stroke: white;/*//#d8d8d8;*/
    stroke-opacity: .7;
}

.siteErrorMessage {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.chartbackground {
    background: linear-gradient(45deg, #0e0a29, #0a0239);
    height: auto;
    width: 100%;
}

#chartbackground-white {
    height: auto;
    width: 100%;
}
.container  {
    z-index: 111111;
}
#chartcontainer {
    height: 100%;
    width: 100%;

    margin: 0;
    padding: 0;
    position: relative;
    top: 0;
    background: transparent;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#chartcontainer-white {
    margin: 0;
    padding: 0;
    height: auto;
    width: 100%;
    margin-left: auto;
    margin-right: auto;

}
    #chartcontainer .header {
        display: block;
        width: 960px;
        height: auto;
        margin-left: auto;
        margin-right: auto;
        color: white;
    }

    #chartcontainer .header .block {
        margin: 0;
        padding: 0;
    }
    #chartcontainer .header .examples {
        clear: both;
    }
    #chartcontainer .header .examples a {
        z-index: 9999999;
        color: #6D8D95;
    }
    #chartcontainer .header .title {
    margin-top: 0;
    float: left;
    width: 160px;
    height: auto;
    display: inline;
    position: static;
    color: lightgrey;
    font-size: 22px;
}
    #chartcontainer .header fieldset {
        margin-top: 0;
        width: 800px;
        float: left;
        background-color: #384b50;
    }

    #chartcontainer .header input {
        color: darkblue;
        font-size: 16px;
        font-weight: normal;
        display: inline;
        margin-left: 20px;
        margin-right: 20px;
        background-color: #C6C8BD;
    }
    #chartcontainer .header input[readonly] {
        cursor: pointer;
    }
    #chartcontainer .header input[type=checkbox]{
        margin-left: 24px;
    }
    #chartcontainer .header label {
        clear: both;
        color: white;
        display: inline;

    }

    #chartcontainer .header input:hover {
        background-color: whitesmoke;
    }

    #chartcontainer .header p {
        margin-left: 1em;
        margin-right: 0;
        margin-bottom: 5px;  
    }

   #chartcontainer .description {
        padding-top: 20px;
        margin-bottom: 20px;
        display: block;
        width: 80%;
        max-width: 1100px;
        width: 100%;
       margin-left: auto;
       margin-right: auto;
   }
    #chartcontainer .description p {

        margin: 1em;
        color:#88a4ab;

    }
    #chartcontainer .header fieldset p {

        
    }
    #chartcontainer .header fieldset button {
        display: inline;
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 3px;
        padding-bottom: 2px;
        background-color: #6D8D95;
        color: white;
        margin-left: 1.5em;
        border-color: #102227;
        border-bottom-color: #102227;
    }
    
    #chartcontainer span.wait {
        margin-left: 30px;
        height: auto;
        display: none;
    }
    
    #PageName {
    display: inline;
    position: static;
    color: lightskyblue;
        padding-left: 20px;
        padding-right: 20px;
    font-size: 17px;
    }

    #chartcontainer .header .errormessage {
        color: red;
        width: 200px;
        margin-left: 10em;
        background-color: white;
    }

.chart {
    display: block;
    height: 100%;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
}
.chart svg
{
    width: 100%;
    height: 100%;
}
.noshow circle:first-child {
    fill: transparent!important;
}

.node text {
    pointer-events: none;
    font: 9px verdana;
    stroke: white;
    fill: lightgrey;
    stroke-width: 0px;
}
.noshow {
    stroke: transparent!important;
    stroke-width: 0!important;
    display: none!important;
}

.filter {
    position: absolute;
    width: 150px;
    height: auto;
    top: 450px;
    right: 0px;
    margin: 0;
    padding: 0;

}
.filter div.onoffswitch {
    margin-top: 5px;
}
.filter p {
    margin-top: 0;
    margin-bottom: 5px;
}
.filter span {
    color: white;
    line-height: 15px;
}

.key {
    width: auto;
    margin: 0;
    padding: 1rem;
    color: white;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    right: 10px;
    background-color: #00000052;
    border-radius: 0.5rem;
    border-style: solid;
    border-color: #3e3e3e;
    border-width: 1px;
    backdrop-filter: blur(4px);
    max-height: calc(100% - 20px);
    overflow: auto;
}


.key table {
    table-layout: fixed;
    background: none;
}


.key td {
    width: 20px;
    height: 20px;
    vertical-align: top;
}

.key td:first-child {
    width: auto;
    padding-right: 1em;
    text-align: right;
}

.key tr {
    padding-bottom: 2em;
}
.key td svg {
    height: 20px;
    width: 20px;
}

.lowerBrand {
    height: 40px;
}

.lowerBrandText {
    font-size: 0.75rem;
}

.left {
    margin: 0;
    padding: 1rem;
    color: white;
    position: absolute;
    top: 10px;
    left: 10px;
    overflow: auto;
    max-width: calc(100vw - 20px);
    max-height: calc(100vh - 20px);
    background-color: #000000f1;
    border-radius: 0.5rem;
    border-style: solid;
    border-color: #3e3e3e;
    border-width: 1px;
    backdrop-filter: blur(4px);
}

@media (max-width: 600px) {
    .left {
        width: 100%;
    }

    .key {
        font-size: 11px;
        border: none;
        background: initial;
        backdrop-filter: none;
        padding: 0;
    }
}

@media (min-width: 601px) {
    .lowerBrand {
        margin-bottom: 0.5rem;
        height: 60px;
    }

    .lowerBrandText {
        font-size: 1rem;
    }
}

.trackerscopeRow {
    cursor: pointer;
    transition: background-color 0.1s ease;
    padding: 1rem;
    border-radius: 0.25rem;
}

    .trackerscopeRow:hover {
        background-color: #ebebeb38;
    }

    .trackerscopeRow:active {
        background-color: #ebebeb38;
    }

.upperLogo {
    display: flex;
    gap: 0.5rem;
    margin-bottom: 0.5rem;
}

.detail {
    clear: both;
    display: none;
    top: 0;
    left: 0;
    border-radius: 2px;
    background: #102227 !important;
    /*    transform: translate(-50%, -50%); */
    color: #e9e8e8;
    border: 1px solid #DADADA;
    margin: 0;
    padding: 1em;
    z-index: 10000;
    width: 480px;
    position: relative;
    -ms-touch-action: none;
    font-family: "HelveticaNeueETW01-45Lt", arial,sans-serif;
}

    .detail label > span {
        display: block;
        float: left;
        width: 100px;
        text-align: left;
        line-height: 26px;
        font-size: 17px;
        margin: 0;
        z-index: 1010;
        color: inherit;
    }

    .detail label {
        display: block;
        margin: 0;
        line-height: 12px;
        margin-left: 1em;
        padding-top: 5px;
        color: inherit;
    }
    .detail ul {
        margin-top: 5px;
        margin-bottom: 20px!important;
        text-align: center!important;
    }
   .detail li {
       font-size: 13px;
       background-color: #668D97!important;
       border-color: #4A686F!important;

   }

   .detail li.ui-state-default a {
       color: white !important;
       padding-left: 0.5em !important;
       padding-right: 0.5em !important;
   }

   .detail li.ui-state-active a {
       color: #D1F5FE!important;
   }
   .detail li.help a {
       color: #D1F5FE;
   }
   .detail li.help a:visited {
       color: red !important;
   }
    .detail input[type="text"] {
        width: 50%;
        margin: 0;
        outline: 0 none;
        color: black;
        padding-left: 1em;
        height: 26px;
        border-radius: 2px;
        overflow: hidden;
        display: inline;
        cursor: pointer;
        background-color: #c6c8bd;  
    }

    .detail i.fa {
        position: absolute;
        right: 6px;
        top: 3px;
        font-size: 12px;
        color: white;
        opacity: 1.0;
    }

    .detail table {
        table-layout: fixed;
        width: 100%;
        margin: 0;
        padding: 0;
        font-family: "HelveticaNeueETW01-45Lt", arial,sans-serif;
    }

    .detail tbody {
        width: inherit;
    }

    .detail tr {
        margin: 0;
        padding: 0;
        max-width: 480px;
    }



    .detail th, .detail td {
        /*white-space: nowrap;*/
        font-size: 0.8em;
        padding-right: 1em;
        padding-left: 1em;
        margin-bottom: 1em;
        vertical-align: top;
        text-align: left;
        overflow: hidden;
        max-width: 180px;
        width: 66%;
        text-overflow: ellipsis;
    }

    .detail th {
        padding-bottom: 1em;
    }
    .detail th.wide {
        width: 120px;
    }



    .detail td:first-child {
        padding-right: 2em;
        max-width: 100px;
    }

    .detail tr.tracker td{
        color: #fc8975;
    }
    .detail tr:nth-child(even) {
        background-color: #4c6a71; 
    }
    .detail table caption {

        font-weight: bold;
    }
    .detail .inner {
        margin-top: 5px;
         max-height: 400px;
         overflow-y: scroll;
        clear: both;
    }
    .detail .handle {
    }
    .detail h1 {
        font-family: "HelveticaNeueETW01-45Lt", arial, sans-serif!important;
    }
    .detail p {
        font-family: "HelveticaNeueETW01-45Lt", arial, sans-serif;
        color: white !important;
        font-size: 14px;
        line-height: 20px;
    }
    .detail div.title {
        width: auto;
    }
    .detail h1 {
        margin-top: 0px;
        margin-bottom: 15px;
        padding-top: 0px;
        color: #B5EDFC!important;
        text-align: center;
        font-size: 1.5em;
    }
    .detail .title h1 {
        color: white!important;
        margin-top: 20px;
        text-align: center;
        margin-bottom: 20px;
    }
.scrollyou {
    overflow: hidden !important;
    position: relative;
}


.scrollyou .scrollyou-bar {
    position: absolute;
    top: 3px;
    right: 3px;
    width: 7px;
    height: 32px;


    -webkit-border-radius: 10px;
            border-radius: 10px;


    -webkit-transition: background 0.2s ease-in-out;
       -moz-transition: background 0.2s ease-in-out;
        -ms-transition: background 0.2s ease-in-out;
         -o-transition: background 0.2s ease-in-out;
            transition: background 0.2s ease-in-out;
}


.scrollyou:hover .scrollyou-bar {
    background-color: rgba(0,0,0,0.5);
}


.scrollyou-show {
    background-color: rgba(0,0,0,0.5);
}

 
.onoffswitch {
    position: relative; width: 49px;
    -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}

.onoffswitch-checkbox {
    display: none;
}

.onoffswitch-label {
    display: block; overflow: hidden; cursor: pointer;
    border: 2px solid #999999; border-radius: 15px;
}

.onoffswitch-inner {
    width: 200%; margin-left: -100%;
    -moz-transition: margin 0.3s ease-in 0s; -webkit-transition: margin 0.3s ease-in 0s;
    -o-transition: margin 0.3s ease-in 0s; transition: margin 0.3s ease-in 0s;
}

.onoffswitch-inner:before, .onoffswitch-inner:after {
    float: left; width: 50%; height: 15px; padding: 0; line-height: 15px;
    font-size: 8px; color: white; font-family: "HelveticaNeueETW01-45Lt", Arial, sans-serif; font-weight: bold;
    -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;
}

.onoffswitch-inner:before {
    content: "ALL";
    padding-left: 10px;
    background-color: #384b50; color: #FFFFFF;
}

.onoffswitch-inner:after {
    content: "";
    padding-right: 10px;
    background-color: #EEEEEE; color: #999999;
    text-align: right;
}

.onoffswitch-switch {
    width: 9px; margin: 3px;
    background: #FFFFFF;
    border: 2px solid #999999; border-radius: 15px;
    position: absolute; top: 0; bottom: 0; right: 30px;
    -moz-transition: all 0.3s ease-in 0s; -webkit-transition: all 0.3s ease-in 0s;
    -o-transition: all 0.3s ease-in 0s; transition: all 0.3s ease-in 0s; 
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
    margin-left: 0;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
    right: 0px; 
}
